Page MenuHomePhabricator

Burn down FundraisingEmailUnsubscribe extension, rewrite special pages in DonationInterface
Closed, ResolvedPublic4 Story Points

Description

  • It's overly complex, relying on convoluted parameter processing and making more things configurable than need be
  • It uses Twig templates rather than Mustache
  • It already depends on DonationInterface being installed to use its messages
  • It duplicates queue settings and logic

Event Timeline

Ejegg created this task.Mar 12 2019, 10:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2019, 10:49 PM
mepps added a subscriber: mepps.Mar 13 2019, 3:52 PM

@Ejegg would this be a good tech talk topic or pairing exercise?

Change 504987 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP rebuild email forms in DonationInterface

https://gerrit.wikimedia.org/r/504987

Change 505058 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Extract render class from Mustache gateway form

https://gerrit.wikimedia.org/r/505058

Ejegg triaged this task as Normal priority.Apr 19 2019, 10:39 PM
Ejegg set the point value for this task to 4.
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Hansel and grep -l board.

Change 505058 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Extract render class from Mustache gateway form

https://gerrit.wikimedia.org/r/505058

Change 504987 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Rebuild email forms in DonationInterface

https://gerrit.wikimedia.org/r/504987

Change 507719 had a related patch set uploaded (by XenoRyet; owner: XenoRyet):
[mediawiki/extensions/DonationInterface@master] Add Alias for EmailPreferences Special Page

https://gerrit.wikimedia.org/r/507719

Change 507719 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add Alias for EmailPreferences Special Page

https://gerrit.wikimedia.org/r/507719

DStrine closed this task as Resolved.May 14 2019, 7:52 PM